---
title: Export Excel template for products and variants based on product template structure.
slug: api-documentation/export-excel-template-for-products-and-variants-based-on-product-template-structure
docTags: 
createdAt: 2026-08-27T16:58:51.938Z
---

{
  "id": "Pvi7fLFeiT0_IZ3y6UhgT",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.upstartcommerce.com/pim/batch/product-template/export-template-excel",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/pim/batch/product-template/export-template-excel"
      }
    ],
    "name": "Export Excel template for products and variants based on product template structure.",
    "description": "<p>Returns an Excel file (.xlsx) containing product creation templates for given template IDs.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/octet-stream"
          ],
          "default": "application/octet-stream"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "",
          "customType": "ExportProductTemplateExcelRequest.json",
          "schema": [],
          "modelRef": "schemas/Batch/ExportProductTemplateExcelRequest.json",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>(DEPRECATED) This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        },
        {
          "id": "ApiKeyAccess",
          "name": "X-Upstart-Api-Key",
          "kind": "optional",
          "type": "apiKey",
          "description": "Api key based authorization.",
          "in": "header"
        },
        {
          "id": "SessionIdAccess",
          "name": "X-Upstart-Session-Id",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Session based authorization. This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Excel file successfully generated.",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "L4zhhHVCyhapY8X7WprYT",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.upstartcommerce.com/pim/batch/product-template/export-template-excel \\\n     --header 'accept: application/octet-stream'"
        },
        {
          "id": "6sFMbBlVQwmkihefUopjz",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/octet-stream\");\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/pim/batch/product-template/export-template-excel\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "Klo-3IQIm00semXslbmL8",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/pim/batch/product-template/export-template-excel\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/octet-stream\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "6OAjGMASB3nrZMrIfZAse",
          "language": "python",
          "label": "Python",
          "code": "import requests\n\nurl = \"https://api.upstartcommerce.com/pim/batch/product-template/export-template-excel\"\n\npayload = {}\nheaders = {\n   'accept': 'application/octet-stream'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "L4zhhHVCyhapY8X7WprYT"
    },
    "results": {
      "languages": [
        {
          "id": "5_8vlFTd14ttTAeF_7Unn",
          "language": "200",
          "code": "// Excel file successfully generated.\n"
        }
      ],
      "selectedLanguageId": "5_8vlFTd14ttTAeF_7Unn"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}